Improve COINS tag

2013-02-11 16:35 - Skye Roseboom

Status: Closed Start date: 2013-02-11

Priority: Normal Due date:  

Assignee: Skye Roseboom % Done: 100%

Category: d1_mercury Estimated time: 0.00 hour

Target version: 2013.14-Block.2.3   

Milestone: CCI-1.1.1 Story Points:  

Product Version: *   

Description

Improve COINS tag content on ONEMercury search results page to include:

title, author, pub date, identifier, citation url (resolve)

History

#1 - 2013-02-11 17:41 - Dave Vieglais

Here's the implementation in the etherpad search, which is just done client side in javascript on page load:

https://repository.dataone.org/software/tools/trunk/epad_index/web/search.html

see the method:  function generateCOINs(title, href, modified)

#2 - 2013-02-11 18:19 - Skye Roseboom

- Status changed from New to In Progress

#3 - 2013-02-11 18:52 - Dave Vieglais

Example of a full COINs tag for a journal article, with progressive decoding of the content:

full tag:

<span

class='Z3988'

title='url_ver=Z39.88-2004&ctx_ver=Z39.88-2004&rfr_id=info%3Asid%2Fzotero.org%3A2&rft_id=info%3Adoi%2F10.1371%2Fjournal.pone.0056453&

rft_val_fmt=info%3Aofi%2Ffmt%3Akev%3Amtx%3Ajournal&rft.genre=article&rft.atitle=Three-Year%20Follow-Up%20of%20Posterior%20Chamber%2

0Toric%20Phakic%20Intraocular%20Lens%20Implantation%20for%20Moderate%20to%20High%20Myopic%20Astigmatism&rft.jtitle=PLoS%20ONE

&rft.stitle=PLoS%20ONE&rft.volume=8&rft.issue=2&rft.aufirst=Kazutaka&rft.aulast=Kamiya&rft.au=Kazutaka%20Kamiya&rft.au=Kimiya%20Shimizu&

rft.au=Hidenaga%20Kobashi&rft.au=Akihito%20Igarashi&rft.au=Mari%20Komatsu&rft.date=2013-02-08&rft.pages=e56453'

The COINs property:

url_ver=Z39.88-2004&ctx_ver=Z39.88-2004&rfr_id=info%3Asid%2Fzotero.org%3A2&rft_id=info%3Adoi%2F10.1371%2Fjournal.pone.0056453&rft_v

al_fmt=info%3Aofi%2Ffmt%3Akev%3Amtx%3Ajournal&rft.genre=article&rft.atitle=Three-Year%20Follow-Up%20of%20Posterior%20Chamber%20Tor

ic%20Phakic%20Intraocular%20Lens%20Implantation%20for%20Moderate%20to%20High%20Myopic%20Astigmatism&rft.jtitle=PLoS%20ONE&rft.s

title=PLoS%20ONE&rft.volume=8&rft.issue=2&rft.aufirst=Kazutaka&rft.aulast=Kamiya&rft.au=Kazutaka%20Kamiya&rft.au=Kimiya%20Shimizu&rft.au

=Hidenaga%20Kobashi&rft.au=Akihito%20Igarashi&rft.au=Mari%20Komatsu&rft.date=2013-02-08&rft.pages=e56453

URL Decoded:

url_ver=Z39.88-2004&ctx_ver=Z39.88-2004&rfr_id=info:sid/zotero.org:2&rft_id=info:doi/10.1371/journal.pone.0056453&rft_val_fmt=info:ofi/fmt:kev:mt

x:journal&rft.genre=article&rft.atitle=Three-Year Follow-Up of Posterior Chamber Toric Phakic Intraocular Lens Implantation for Moderate to High

Myopic Astigmatism&rft.jtitle=PLoS ONE&rft.stitle=PLoS ONE&rft.volume=8&rft.issue=2&rft.aufirst=Kazutaka&rft.aulast=Kamiya&rft.au=Kazutaka

Kamiya&rft.au=Kimiya Shimizu&rft.au=Hidenaga Kobashi&rft.au=Akihito Igarashi&rft.au=Mari Komatsu&rft.date=2013-02-08&rft.pages=e56453
https://repository.dataone.org/software/tools/trunk/epad_index/web/search.html


Unescaped HTML:

url_ver=Z39.88-2004&ctx_ver=Z39.88-2004&rfr_id=info:sid/zotero.org:2&rft_id=info:doi/10.1371/journal.pone.0056453&rft_val_fmt=info:ofi/fmt:kev:mt

x:journal&rft.genre=article&rft.atitle=Three-Year Follow-Up of Posterior Chamber Toric Phakic Intraocular Lens Implantation for Moderate to High

Myopic Astigmatism&rft.jtitle=PLoS ONE&rft.stitle=PLoS ONE&rft.volume=8&rft.issue=2&rft.aufirst=Kazutaka&rft.aulast=Kamiya&rft.au=Kazutaka

Kamiya&rft.au=Kimiya Shimizu&rft.au=Hidenaga Kobashi&rft.au=Akihito Igarashi&rft.au=Mari Komatsu&rft.date=2013-02-08&rft.pages=e56453

All the key, value pairs:

url_ver=Z39.88-2004

&ctx_ver=Z39.88-2004

&rfr_id=info:sid/zotero.org:2

&rft_id=info:doi/10.1371/journal.pone.0056453

&rft_val_fmt=info:ofi/fmt:kev:mtx:journal

&rft.genre=article

&rft.atitle=Three-Year Follow-Up of Posterior Chamber Toric Phakic Intraocular Lens Implantation for Moderate to High Myopic Astigmatism

&rft.jtitle=PLoS ONE

&rft.stitle=PLoS ONE

&rft.volume=8

&rft.issue=2

&rft.aufirst=Kazutaka

&rft.aulast=Kamiya

&rft.au=Kazutaka Kamiya

&rft.au=Kimiya Shimizu

&rft.au=Hidenaga Kobashi

&rft.au=Akihito Igarashi

&rft.au=Mari Komatsu

&rft.date=2013-02-08

&rft.pages=e56453

#4 - 2013-02-11 19:20 - Dave Vieglais

Note that when testing, it appears that the chrome zotero extension does not recognize tags when loading form the file system instead of over http. A

simple way to get a web server running is to cd to the folder with any test docs, then "python -m SimpleHTTPServer" to start a simple web server

listening on port 8000. The COINs tags were then recognized by the chrome extension.

#5 - 2013-02-11 21:55 - Dave Vieglais

Zotero source for parsing the context tags:

https://github.com/zotero/zotero/blob/master/chrome/content/zotero/xpcom/utilities_translate.js

specifically,  the function parseContextObject
https://github.com/zotero/zotero/blob/master/chrome/content/zotero/xpcom/utilities_translate.js


#6 - 2013-02-11 22:14 - Skye Roseboom

Documentation for COINs format for citing journal articles - lists all fields:

http://ocoins.info/cobg.html

#7 - 2013-02-12 01:26 - Dave Vieglais

An example of a web page COINs entry that works for both zotero and mendeley, and is reasonably complete:

The span element:

and url and html decoded:

url_ver=Z39.88-2004

ctx_ver=Z39.88-2004

rft_val_fmt=info:ofi/fmt:kev:mtx:dc

rft.identifier=http://cn.dataone.org/cn/v1/resolve/test

rft.title=Title of Record 3

rft.date=04/03/2008

rft.aucorp=NCEAS 12192: Fleishman: California Department of Water Resources (DWR)

rft.au=Dave Test

rft.place=Santa Barbara, CA

rft.source=urn:node:test2

rft.subject=keyword 1

rft.subject=keyword 2

rft.subject=keyword 3

rft.description=dcterms:identifier=test ID

rft.rights=rights statement

rft.publisher=PISCO Member Node (urn:node:PISCO)

the various term definitions can be found at:

http://www.niso.org/apps/group_public/download.php/6640/The%20OpenURL%20Framework%20for%20Context-Sensitive%20Services.pdf

http://alcme.oclc.org/openurl/docs/implementation_guidelines/KEV_Guidelines-20041209.pdf

http://alcme.oclc.org/openurl/servlet/OAIHandler/extension?verb=GetMetadata&metadataPrefix=mtx&identifier=info:ofi/fmt:kev:mtx:dc

#8 - 2013-02-12 22:03 - Skye Roseboom

link to zotero parsing logic:
http://ocoins.info/cobg.html
http://cn.dataone.org/cn/v1/resolve/test
http://www.niso.org/apps/group_public/download.php/6640/The%20OpenURL%20Framework%20for%20Context-Sensitive%20Services.pdf
http://alcme.oclc.org/openurl/docs/implementation_guidelines/KEV_Guidelines-20041209.pdf
http://alcme.oclc.org/openurl/servlet/OAIHandler/extension?verb=GetMetadata&metadataPrefix=mtx&identifier=info:ofi/fmt:kev:mtx:dc


https://github.com/zotero/zotero/blob/master/chrome/content/zotero/xpcom/openurl.js

#9 - 2013-02-18 16:17 - Skye Roseboom

- Status changed from In Progress to Testing

#10 - 2013-02-18 16:17 - Skye Roseboom

- Description updated

#11 - 2013-02-19 16:40 - Skye Roseboom

- translation missing: en.field_remaining_hours set to 0.0

- Status changed from Testing to Closed

Released with v1.1.1 one-mercury.  COINS tag on the full metadata display view needs improved.  Will create new story to capture generating COINS

tag with same information on the detail page.

#12 - 2013-03-01 18:46 - Skye Roseboom

- Target version set to 2013.10-Block.2.1

#13 - 2013-04-02 16:10 - Skye Roseboom

- Target version deleted (2013.10-Block.2.1)

#14 - 2013-04-02 16:12 - Skye Roseboom

- Target version set to 2013.14-Block.2.3
